package a.c.b;

import com.ucar.databus.proto.UCarProto;
import java.util.HashMap;

public class q extends v {

    public class a extends HashMap<Integer, String> {
        public a() {
            put(1, "certificate");
        }
    }

    public static s a(UCarProto.CarCertificate carCertificate) {
        return c().a(1).a(carCertificate);
    }

    public static void b() {
        v.a(c.CERT, new a());
    }

    public static boolean b(s sVar) {
        return sVar != null && sVar.f() == c.CERT && sVar.o();
    }

    private static t c() {
        return s.r().a(k.c()).a(c.CERT);
    }
}
